> ## Documentation Index
> Fetch the complete documentation index at: https://docsy3.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle

> The vehicle represents a car, bike, truck, or other form of transportation used in your organization

## What is Vehicle?

The vehicle represents a car, bike, truck, or other form of transportation used in your organization. They are utilized to optimize the route planning process, determining the most efficient path for completing multiple tasks or visits. The vehicle attributes contain IDs, capacity, speed, working hours, tags, and constraints.

**To see the details of vehicle object, please follow [this link](https://docsy3.mile.app/api-reference/objects/vehicle-object.md)**

## Key Features

> [card] [Read vehicle](https://docsy3.mile.app/api-reference/routing/vehicle/read-vehicle.md)
>
> GET /vehicles

> [card] [Read vehicle by ID](https://docsy3.mile.app/api-reference/routing/vehicle/read-vehicle-by-id.md)
>
> GET /vehicle/{vehicleId}

> [card] [Update vehicle by ID](https://docsy3.mile.app/api-reference/routing/vehicle/update-vehicle-by-id.md)
>
> PUT /vehicle/{vehicleId}

> [card] [Update partially vehicle by ID](https://docsy3.mile.app/api-reference/routing/vehicle/update-partially-vehicle-by-id.md)
>
> PATCH /vehicle/{vehicleId}

## Related Resources

* [Vehicle Object](https://docsy3.mile.app/api-reference/objects/vehicle-object.md) - Vehicle data structure


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.